Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

List of all members
cutlass::gemm::SimplifiedGemmEpilogueTraits< GemmConfig_, EpilogueFunctor_, Index_, Helper_ > Struct Template Reference

`#include <gemm_epilogue_traits.h>`

Inheritance diagram for cutlass::gemm::SimplifiedGemmEpilogueTraits< GemmConfig_, EpilogueFunctor_, Index_, Helper_ >:

## Additional Inherited Members
Public Types inherited from cutlass::gemm::GemmEpilogueTraits< GemmConfig_::OutputTile, GemmConfig_::Accumulators, Helper_::GlobalLoadIteratorC, Helper_::GlobalTransformerC, Helper_::GlobalTransformerD, Helper_::GlobalStoreIteratorD, Helper_::SharedStoreIteratorD, Helper_::SharedStoreTransformerD, Helper_::SharedLoadStreamD, Helper_::Iterations, Helper_::Delta, EpilogueFunctor_, Index_ >
typedef GemmConfig_::OutputTile | OutputTile
| The output tile. More...
typedef GemmConfig_::Accumulators | Accumulators
typedef Helper_::GlobalLoadIteratorC | GlobalLoadIteratorC
| The iterator for C in global memory. More...
typedef Helper_::GlobalTransformerC | GlobalTransformerC
| The transformer for C. More...
typedef Helper_::GlobalTransformerD | GlobalTransformerD
| The transformer for D. More...
typedef Helper_::GlobalStoreIteratorD | GlobalStoreIteratorD
| The iterator for D in global memory. More...
typedef Helper_::SharedStoreIteratorD | SharedStoreIteratorD
| The iterator to store D in shared memory. More...
typedef Helper_::SharedStoreTransformerD | SharedStoreTransformerD
| The shared store transformer for D. More...
typedef Helper_::SharedLoadStreamD | SharedLoadStreamD
| The stream to store D in shared memory. More...
typedef Helper_::Iterations | Iterations
| typedef typename GemmConfig::EpilogueIterations Iterations; More...
typedef Helper_::Delta | Delta
| The iterations strides. More...
typedef EpilogueFunctor_ | Functor
| The functor in charge of the math. More...
typedef Index_ | Index
| The index. More...
typedef long long | LongIndex
| The long index. More...
typedef Functor::Scalar | Scalar
| We do not support 3D or 4D shapes. More...
typedef GlobalLoadIteratorC::Scalar | ScalarC
| The scalar for C. More...
typedef GlobalStoreIteratorD::Scalar | ScalarD
| The scalar for D. More...

The documentation for this struct was generated from the following file:

- gemm_epilogue_traits.h